Overview
Comment: | Fixed some bugs in cross-compile builds |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
9fbb0ef3cab68195e4f2cbe5038a3233 |
User & Date: | rkeene on 2011-09-10 22:29:21 |
Other Links: | manifest | tags |
Context
2011-09-11
| ||
23:59 | Updated to CTk 8.0.2801 to fix issues with Tcl 8.6 check-in: c80dceaca0 user: rkeene tags: trunk | |
2011-09-10
| ||
22:29 | Fixed some bugs in cross-compile builds check-in: 9fbb0ef3ca user: rkeene tags: trunk | |
22:28 | Updated to use Tcl 8.5/8.4 depending on which is built Added script to cross-compile for various platforms check-in: fb61490a11 user: rkeene tags: trunk | |
Changes
Modified server/buildpkgs/build_all.sh from [feba34159a] to [5e7c9aafc7].
︙ | |||
32 33 34 35 36 37 38 | 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 | - + + + + + - + + + + + + + - + + + + + + + + + + - + | rm -rf tcl fi if [ "${CLEANONLY}" = "0" ]; then PROJROOTDIR="$(pwd)" export PROJROOTDIR |
︙ | |||
98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 | 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 | + + + + + + | echo "Failed to build Tcl. See \"./tcl/build/build-${TCLVERS}.log\"" >&2 echo 'Aborting.' >&2 exit 1 ) || exit 1 ( rm -f "${PROJROOTDIR}/platform.magic.env-${TCLSHORTVERS}" TCLBUILDDIR="$(cat "${PROJROOTDIR}/platform.magic.dir")" export TCLBUILDDIR if [ -z "${TCLBUILDDIR}" ]; then TCLBUILDDIR="/dev/null" fi if [ -d "${TCLINSTDIR}" -a -f "${TCLINSTDIR}/lib/tclConfig.sh" ]; then TCLCONFIGDIR="${TCLINSTDIR}/lib" elif [ -d "${TCLBUILDDIR}" -a -f "${TCLBUILDDIR}/tclConfig.sh" ]; then TCLCONFIGDIR="${TCLBUILDDIR}" else echo 'Unable to find appropriate tclConfig.sh, aborting' >&2 |
︙ |